# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-Object
Version:	0.08
Release:	17.%{__distinit}%{__distvers}
Summary:	Thoroughly testing objects via registered handlers
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Test-Object
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-Object-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::Builder::Tester)
# Optional Tests
BuildRequires:	perl(CPAN::Meta) >= 2.120900
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
Test::Object is a testing package designed to allow you to easily test
what you believe is a valid object against the expected behavior of
all of the classes in its inheritance tree in one single call.

%prep
%setup -q -n Test-Object-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Object.3*

%changelog
* Tue Jun 27 2023 Paul Howarth <paul@city-fan.org> - 0.08-17
- Use SPDX-format license tag
-0 Use %%license unconditionally

* Wed Jun  5 2019 Paul Howarth <paul@city-fan.org> - 0.08-6
- Perl 5.30 rebuild

* Tue Jan  2 2018 Paul Howarth <paul@city-fan.org> - 0.08-1
- Update to 0.08
  - Switch packaging to Dist::Zilla
- This release by ETHER → update source URL
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Sun Jun  4 2017 Paul Howarth <paul@city-fan.org> - 0.07-28
- Fix building on Perl without "." in @INC (CPAN RT#120413)
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workaround for building with Test::Builder < 0.33

* Wed Oct  5 2016 Paul Howarth <paul@city-fan.org> - 0.07-25
- Classify buildreqs by usage
- Simplify find command using -delete

* Thu Aug 28 2014 Paul Howarth <paul@city-fan.org> - 0.07-21
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Sat Jun 23 2012 Paul Howarth <paul@city-fan.org> - 0.07-14
- BR: perl(Carp), perl(Cwd), perl(Exporter), perl(ExtUtils::MakeMaker),
  perl(File::Spec::Functions) and perl(lib)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> - 0.07-11
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 0.07-8
- Rebuild for perl 5.12.1 in Rawhide

* Sun May 30 2010 Paul Howarth <paul@city-fan.org> - 0.07-7
- Fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> - 0.07-6
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation
- Translate %%description to US English
- Use search.cpan.org URLs

* Wed Sep 30 2009 Paul Howarth <paul@city-fan.org> - 0.07-5
- Define RPM macros in global scope

* Tue Sep  2 2008 Paul Howarth <paul@city-fan.org> - 0.07-4
- Import from Fedora
- Drop version requirements on Scalar::Util, Test::Builder, and
  Test::Builder::Tester to support builds on older distributions

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.07-3
- Rebuild for perl 5.10 (again)

* Fri Jan 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.07-2
- Rebuild for new perl

* Thu Sep  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.07-1
- Update to 0.07
- Test::Builder version problem (see #205537)
- Removed the README file (copy of the manpage)

* Wed Sep 06 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.06-1
- First build
